<?php
/**
* @Copyright Copyright (C) 2010 VTEM . All rights reserved.
* @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
* @link     	http://www.vtem.net
**/
?>
<script type="text/javascript" src="<?php echo JURI::root(true)?>/modules/mod_vtem_booklet/styles/jquery.booklet.js"></script>
<script type="text/javascript">
var vtembooklet = jQuery.noConflict();
(function($){
	$(document).ready(function(){ 
		$('#vtem-<?php echo $module_id;?>-booklet').booklet({
			width:              '<?php echo $width;?>', 
			height:             '<?php echo $height;?>',
			speed:              <?php echo $speed;?>, 
			direction:          '<?php echo $direction;?>', 
			startingPage:       <?php echo $startingPage+1;?>,  
			closed:             true, 
			covers:             true, 
            closedFrontTitle:     '<?php echo JText::_('MOD_VTEM_BOOKLET_FIELD_PAGEBEGIN');?>',
       		closedFrontChapter:   '<?php echo JText::_('MOD_VTEM_BOOKLET_FIELD_CHAPTERBEGIN');?>',
        	closedBackTitle:      '<?php echo JText::_('MOD_VTEM_BOOKLET_FIELD_PAGEEND');?>',
        	closedBackChapter:    '<?php echo JText::_('MOD_VTEM_BOOKLET_FIELD_CHAPTEREND');?>',
			autoCenter:         <?php echo $autoCenter;?>,   
			pageNumbers:        <?php echo $pageNumbers;?>,  
			hoverWidth:           150,
			pagePadding:        <?php echo $pagePadding;?>,    
			arrows:             <?php echo $arrows;?>,   
			arrowsHide:         <?php echo $arrowsHide;?>,       
			keyboard:           <?php echo $keyboard;?>,     
			auto:               <?php echo $auto;?>,  
			pageSelector:       <?php echo $pageSelector;?>,
			chapterSelector:    <?php echo $chapterSelector;?>, 
			delay:              <?php echo $delay;?>
			<?php if($navbar) :?>  
			,next:               '#vtembookletnext', 
			menu:               '#vtembookletpageselector',   
			prev:               '#vtembookletprev'
			<?php endif;?>
			});
			<?php if($navbar) :?> 
			$('#vtembooklet<?php echo $module_id;?> #vtembookletstart').click(function(e){
				e.preventDefault();
				$('#vtem-<?php echo $module_id;?>-booklet').booklet(1); 
		    });
		    $('#vtembooklet<?php echo $module_id;?> #vtembookletend').click(function(e){
				e.preventDefault();
				$('#vtem-<?php echo $module_id;?>-booklet').booklet(<?php if($content_source == "mods"){echo count($images)+3;}else{echo count($list)+3;}?>); 
		    });
			<?php endif;?>
			$('#vtembooklet<?php echo $module_id;?> .vtemBookletBegin').parent().addClass('CoverBegin');
			$('#vtembooklet<?php echo $module_id;?> .vtemBookletEnd').parent().addClass('CoverEnd');
	});
})(jQuery);
</script>
<div id="vtembooklet<?php echo $module_id;?>" class="vtem_booklet_warpper clearfix booklet-warpp<?php echo $params->get('moduleclass_sfx');?>">
   <?php if($navbar) :?>  
     <div id="vtembookletnav_warp_left" class="nav-wrapper clearfix">
     	<div id="vtembookletnav_warp_right">
             <ul id="vtembookletnav">
               <li id="vtembookletstart"></li>
               <li id="vtembookletprev"></li>
               <li id="vtembookletpageselector"></li>
               <li id="vtembookletnext"></li>
               <li id="vtembookletend"></li>
             </ul>
	 	</div>
     </div>
	<?php endif;?>
     <div id="vtem-<?php echo $module_id;?>-booklet" class="vtem-booklet booklet">
	    <?php
	     echo '<div class="vtem_booklet_item vtem_booklet_cover vtemBookletBegin">
			       <h1 class="vtem_booklet_begin">'.$coverheader.'</h1><span class="vtemdesign">'.$coverfooter.'</span>
			     </div>';
		if($content_source == "mods"){
				foreach($images as $key => $img):
				      $vttitles = explode(";",$params->get('imagetitle'));
					  $vttitle = (isset($vttitles[$key])) ? $vttitles[$key] : '';
					  $vtcontents = explode(";",$params->get('imagecontent'));
					  $vtcontent = (isset($vtcontents[$key])) ? $vtcontents[$key] : '';
					  $vtlinks = explode(";",$params->get('urls'));
					  $vtlink = (isset($vtlinks[$key])) ? $vtlinks[$key] : '';
						  echo '<div id="vtem'.$key.'" title="Page" class="vtem_booklet_item">';
						          if($showcaption == 1){
								       echo '<h4 class="vtem_booklet_title">'.trim($vttitle).'</h4>';
								  }
						          if($linkedimage == 1){
						           echo '<a href="'.trim($vtlink).'" target="'.$linktarget.'"><img class="vt_booklet_thumb" src="'.JURI::root().$imagePath.$img.'" alt="VTEM booklet" /></a>';
								   }else{
								   echo '<img class="vt_booklet_thumb" src="'.JURI::root().$imagePath.$img.'" alt="VTEM booklet" />';
								   }
								   if($showcaption == 1){
									   echo ' <div>'.trim($vtcontent).'</div>';
								   }
						  echo '</div>';
				endforeach;
		}else{
			for($i=0; $i<count($list); $i++):
				if($list[$i]->introtext != NULL){
					echo "<div id='vtem".$i."' title='".JText::_('MOD_VTEM_BOOKLET_FIELD_PAGE')."' class='vtem_booklet_item'>".$list[$i]->introtext."</div>";
				}
			endfor;
		}
		echo '<div class="vtem_booklet_item vtemBookletEnd"></div>';
		?>
	</div>
</div>